"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const functions = require("./sampletests/sample");
describe("Test Jest", () => {
    test("Should return Hello World!", () => __awaiter(void 0, void 0, void 0, function* () {
        const testString = yield functions.sampleString("World!");
        expect(testString).toBe("Hello World!");
    }));
    test("Should return sum 5", () => __awaiter(void 0, void 0, void 0, function* () {
        const sum = yield functions.arithmatic(2, 3);
        expect(sum).toBe(5);
    }));
});
//# sourceMappingURL=sample-test.js.map