"use strict";
/*
 * Copyright (c) 2020 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Commands = void 0;
var Commands;
(function (Commands) {
    Commands["RetrieveElement"] = "endevorexplorer.retrieveElement";
    Commands["BrowseElement"] = "endevorexplorer.browseElement";
    Commands["RetrieveWithDependencies"] = "endevorexplorer.retrieveElementWithDependencies";
    Commands["DeleteHost"] = "endevorexplorer.deleteHost";
    Commands["DeleteFilter"] = "endevorexplorer.deleteFilter";
    Commands["EditFilter"] = "endevorexplorer.editFilter";
    Commands["AddFilter"] = "endevorexplorer.addFilter";
})(Commands = exports.Commands || (exports.Commands = {}));
//# sourceMappingURL=Common.js.map