"use strict";
/*
 * Copyright (c) 2020 Broadcom.
 * The term "Broadcom" refers to Broadcom Inc. and/or its subsidiaries.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Broadcom, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubSystem = void 0;
const EndevorEntity_1 = require("./EndevorEntity");
class SubSystem extends EndevorEntity_1.EndevorEntity {
    constructor(repo, subsys) {
        super();
        this.envName = subsys.envName;
        this.sysName = subsys.sysName;
        this.sbsName = subsys.sbsName;
        this.repository = repo;
    }
    getName() {
        return this.sbsName;
    }
    getDescription() {
        return "";
    }
    getRepository() {
        return this.repository;
    }
}
exports.SubSystem = SubSystem;
//# sourceMappingURL=SubSystem.js.map